## gimp-dds 2.2.1

=== Makefile ===

GIMPTOOL=gimptool-2.0

CC=gcc
CFLAGS=-pipe -g -O2 -Wall $(shell pkg-config --cflags gtk+-2.0 gimp-2.0)

OS=$(shell uname -s)
ifeq (,$(findstring Windows,$(OS)))
EXT=
else
EXT=.exe
endif

TARGET=dds$(EXT)

SRCS=color.c dds.c ddsread.c ddswrite.c dxt.c mipmap.c misc.c
OBJS=$(SRCS:.c=.o)

LIBS=$(shell pkg-config --libs gtk+-2.0 gimp-2.0 gimpui-2.0) -lm

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(TARGET)
		 
clean:
	rm -f *.o $(TARGET)

install: all
	$(GIMPTOOL) --install-bin $(TARGET)

.c.o:
	$(CC) -c $(CFLAGS) $<

color.o: color.c color.h imath.h
dds.o: dds.c ddsplugin.h dds.h misc.h
ddsread.o: ddsread.c ddsplugin.h dds.h dxt.h endian.h
ddswrite.o: ddswrite.c ddsplugin.h dds.h dxt.h endian.h imath.h mipmap.h
dxt.o: dxt.c dxt.h dxt_tables.h dds.h endian.h mipmap.h imath.h
mipmap.o: mipmap.c mipmap.h dds.h imath.h
misc.o: misc.c misc.h

## gimp-dds 2.0.9

=== debian/changelog ===
gimp-dds (2.0.9-2) unstable; urgency=low

  * Modify debian/rules to use Makefile.linux on all arches, to avoid
    FTBSes on the non-linux arches (closes: 573773)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 14 Mar 2010 01:46:45 +0100

gimp-dds (2.0.9-1) unstable; urgency=low

  * Drop dependency on quilt, unneeded for 3.0 (quilt)
  * New upstream release:
    - fix the off-by-one mistake in mipmap generation (closes: #564111,
    #564113). Thanks to Michalis Kamburelis for spotting and Shawn Kirst
    for fixing !

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 11 Mar 2010 20:25:24 +0100

gimp-dds (2.0.7-2) unstable; urgency=medium

  * Converted to source format 3.0 (quilt)
  * Refreshed makefile.diff
  * Removed debian/README.source, obsoleted by the use of format 3.0 (quilt)
  * Add build-depend on libgtk2.0-dev, now necessary (closes: #569383)
  * Urgency medium to fix RC bug in testing
  * Conforms to standards 3.8.4

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 16 Feb 2010 00:47:59 +0100

gimp-dds (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on gimp 2.6 development files
  * Add a debian/README.source file to document the patching system.
  * Now conforms to standards 3.8.1

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 05 May 2009 20:43:12 +0200

gimp-dds (2.0.6-1) unstable; urgency=low

  * New upstream release (closes: #488083)
  * Adding provided PDF documentation

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 27 Jun 2008 23:35:29 +0200

gimp-dds (2.0.3-1) unstable; urgency=low

  * Initial release (Closes: #476189)
  * No watch file, as it does not seem easy to guess the upstream
    version number from the download link (well, impossible, that is)
  * makefile.diff to pass the -Wl,--as-needed flag to gcc to drastically
    reduce the number of dependencies

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 17 Apr 2008 21:22:59 +0200

=== debian/control ===
Source: gimp-dds
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), libgimp2.0-dev (>=2.6), pkg-config,
 libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://nifelheim.dyndns.org/~cocidius/dds/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/gimp-dds
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/gimp-dds/?op=log

Package: gimp-dds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DDS (DirectDraw Surface) plugin for the gimp
 gimp-dds is a plugin for the gimp that lets you manipulate Microsoft
 DirectDraw surfaces. These kind of files are widely used in 3D games for
 textures and the like.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# We use the Makefile.linux as else it defaults to using the win32 one
# on freebsd.
MAKEFILE = -f Makefile.linux

configure: configure-stamp

configure-stamp:
#	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch $@

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(MAKEFILE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) $(MAKEFILE) clean

#	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	dh_clean 

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gimp-dds 2.2.1

=== debian/changelog ===
gimp-dds (2.2.1-1) unstable; urgency=low

  * New upstream release, which fixes a FTBS (closes: #713553)
  * Fix small typo in package description, thanks to Erik Esterer
    <erik.esterer@gmail.com> (closes: #626917)
  * Switch to dh debian/rules
  * Refresh the patch on upstream makefile to make sure that debian global 
    flags are used

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 28 Jun 2013 00:15:15 +0200

gimp-dds (2.0.9-3) unstable; urgency=low

  * Update to the new home for gimp-dds
  * Added a watchfile now it is possible
  * Already conforms to standards 3.9.0

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 18 Jul 2010 23:30:51 +0200

=== debian/control ===
Source: gimp-dds
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 8), libgimp2.0-dev (>=2.6), pkg-config,
 libgtk2.0-dev
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/gimp-dds/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/gimp-dds
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/gimp-dds/?op=log

Package: gimp-dds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DDS (DirectDraw Surface) plugin for GIMP
 gimp-dds is a plugin for GIMP that lets you manipulate Microsoft
 DirectDraw surfaces. These kind of files are widely used in 3D games for
 textures and the like.

## gimp-dds 3.0.1

=== Makefile ===

GIMPTOOL=gimptool-2.0

CC=gcc
CFLAGS+=-pipe -O2 -g -Wall -fopenmp $(shell pkg-config --cflags gtk+-2.0 gimp-2.0)
LDFLAGS=-fopenmp

OS=$(shell uname -s)
ifeq (,$(findstring Windows,$(OS)))
EXT=
else
EXT=.exe
endif

TARGET=dds$(EXT)

SRCS=color.c dds.c ddsread.c ddswrite.c dxt.c mipmap.c misc.c
OBJS=$(SRCS:.c=.o)

LIBS=$(shell pkg-config --libs gtk+-2.0 gimp-2.0 gimpui-2.0) -lm

ifdef VERBOSE
Q=
else
Q=@
endif

all: $(TARGET)

$(TARGET): $(OBJS)
	$(Q)echo "[LD]\t$@"
	$(Q)$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(TARGET)
		 
clean:
	rm -f *.o $(TARGET)

install: all
	$(GIMPTOOL) --install-bin $(TARGET)

.c.o:
	$(Q)echo "[CC]\t$<"
	$(Q)$(CC) -c $(CFLAGS) -o $@ $<

color.o: color.c color.h imath.h
dds.o: dds.c ddsplugin.h dds.h misc.h
ddsread.o: ddsread.c ddsplugin.h dds.h dxt.h endian.h
ddswrite.o: ddswrite.c ddsplugin.h dds.h dxt.h endian.h imath.h mipmap.h color.h
dxt.o: dxt.c dxt.h dxt_tables.h dds.h endian.h mipmap.h imath.h vec.h
mipmap.o: mipmap.c mipmap.h dds.h imath.h
misc.o: misc.c misc.h

ifdef WIN32
-include Makefile.mingw32
else ifdef WIN64
-include Makefile.mingw64
endif

=== debian/changelog ===
gimp-dds (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * Remove non-existing Vcs-Svn.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 15:12:43 +0100

gimp-dds (3.0.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #897290)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 20:31:57 -0300

gimp-dds (3.0.1-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Vincent Fourmond ]
  * New upstream release
    - refreshed makefile.diff
  * Conforms to newer standards
  * Bump to newer dh compat level

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 25 May 2014 15:17:48 +0200

=== debian/control ===
Source: gimp-dds
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libgimp2.0-dev (>=2.6), pkg-config,
 libgtk2.0-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/gimp-dds/

Package: gimp-dds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DDS (DirectDraw Surface) plugin for GIMP
 gimp-dds is a plugin for GIMP that lets you manipulate Microsoft
 DirectDraw surfaces. These kind of files are widely used in 3D games for
 textures and the like.
